Package org.apache.lucene.queries.payloads

## Interface PayloadMatcher

-     public interface PayloadMatcher

  Defines an interface for testing if two payloads should be consider to match

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `comparePayload​(BytesRef source, BytesRef payload)` | This method tests if two BytesRef match.

- - ### Method Detail

    - #### comparePayload

          boolean comparePayload​(BytesRef source,
                                 BytesRef payload)

      This method tests if two BytesRef match.
      Parameters:
        `source` - left side of the compare
        `payload` - right side of the compare
      Returns:
        true if the BytesRefs are matching, otherwise false.